Requires read_payment access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20260901/payments/store/balance_transactions.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get billing records of the SHOPLINE Payments account.
Query Parameters
  • end_time string
    Specify the latest date and time for the billing records to query. Billing records created before this time are returned. If payout_id is not passed, then both start_time and end_time must be specified, and the time interval cannot exceed three months. Format: ISO 8601.
    Example: 2025-05-31T00:00:00+08:00
  • is_settlement_details string
    Whether to display billing details in the batch settlement report. Valid values are:
    • true: Display billing details instead of the settlement record.
    • false: Display the settlement record instead of billing details.
    Default value: false
    Settlement records refer to records whose type value is SETTLEMENT.
    Billing details refer to records whose type values match the enumerated values for each transaction scenario:
    • Payment
      • PAYMENT
      • PAYMENT_FEE_RETURNED
    • Refund
      • REFUND
      • REFUND_FEE
      • REFUND_FROZEN
      • REFUND_UNFROZEN
      • REFUND_FEE_FROZEN
      • REFUND_FEE_UNFROZEN
    • Pre-chargeback
      • PRE_CHARGEBACK_FROZEN
      • PRE_CHARGEBACK_UNFROZEN
      • PRE_CHARGEBACK_FEE_FROZEN
      • PRE_CHARGEBACK_FEE_UNFROZEN
      • PRE_CHARGEBACK_ACCEPTED
      • PRE_CHARGEBACK_FEE
    • Chargeback
      • CHARGEBACK_INITIATED
      • CHARGEBACK_FEE
      • CHARGEBACK_WON
      • CHARGEBACK_LOST
      • CHARGEBACK_FROZEN
      • CHARGEBACK_UNFROZEN
      • CHARGEBACK_FEE_FROZEN
      • CHARGEBACK_FEE_UNFROZEN
      • CHARGEBACK_LOST_FROZEN
      • CHARGEBACK_LOST_UNFROZEN
      • CHARGEBACK_WON_FUND_RETURN
      • CHARGEBACK_LOST_FUND_RETURN
    • Pre-arbitration
      • PRE_ARBITRATION_INITIATED
      • PRE_ARBITRATION_FEE
      • PRE_ARBITRATION_INITIATED_FUND_RETURN
      • PRE_ARBITRATION_WON
      • PRE_ARBITRATION_WON_FUND_RETURN
      • PRE_ARBITRATION_LOST
      • PRE_ARBITRATION_FROZEN
      • PRE_ARBITRATION_UNFROZEN
      • PRE_ARBITRATION_FEE_FROZEN
      • PRE_ARBITRATION_FEE_UNFROZEN
      • PRE_ARBITRATION_LOST_FROZEN
      • PRE_ARBITRATION_LOST_UNFROZEN
      • PRE_ARBITRATION_LOST_FUND_RETURN
    • Arbitration
      • ARBITRATION_INITIATED
      • ARBITRATION_FEE
      • ARBITRATION_WON
      • ARBITRATION_WON_FEE_RETURNED
      • ARBITRATION_LOST
      • ARBITRATION_FROZEN
      • ARBITRATION_UNFROZEN
      • ARBITRATION_FEE_FROZEN
      • ARBITRATION_FEE_UNFROZEN
      • ARBITRATION_INITIATED_FUND_RETURN
    • Reserve
      • FIXED_RESERVE_COLLECTED
      • FIXED_RESERVE_RELEASED
      • ROLLING_RESERVE_COLLECTED
      • ROLLING_RESERVE_RELEASED_TO_FIXED_RESERVE
      • ROLLING_RESERVE_RELEASED_TO_PAYOUT_ACCOUNT
    • Payout
      • PAYOUT
      • PAYOUT_FAILED
      • PAYOUT_RETURNED
      • PAYOUT_FEE
      • PAYOUT_FROZEN
      • PAYOUT_UNFROZEN
      • PAYOUT_FEE_FROZEN
      • PAYOUT_FEE_UNFROZEN
    • Finance
      • TRANSFER
      • PLATFORM_TRANSFER
      • PLATFORM_TRANSFER_FEE
      • ADJUSTMENT
  • merchant_id string
    The unique identifier for the SHOPLINE Payments merchant.
  • payout_id string
    Payout ID. The billing records from the time of the previous payout (excluded) to the time of the billing record specified by payout_id (included) are returned.
    Example: 202208031899561700999905280
  • start_time string
    Specify the earliest date and time for billing records to query. Billing records created on and after this time are returned. If payout_id is not passed, then both start_time and end_time must be specified, and the time interval cannot exceed three months. Format: ISO 8601.
    Example: 2025-04-30T00:00:00+08:00
  • limit string
    The maximum number of billing records to to be returned in the query.
    Value range: 1-100
    Default value: 50
  • page_info string
    The unique identifier for pagination queries, used to locate a specific page.
    This parameter value is obtained from the link value in the response header of this API after you have queried the pagination information.
    For example, if the link value you obtained is <https://{handle}.myshopline.com/admin/openapi/{version}/payments/store/balance_transactions.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" , the value of page_info is eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9 .
    For more information on how to use pagination, refer to Paging Mechanism.
    Example: eyJwYXlvdXRTdGF0dXMiOiJjb21wbGV0ZWQiLCJzaW5jZUlkIjoiMjAyMjA3MjkxNDUxMjIzODIwMDExMTMwMDAwIiwicGFnZVR5cGUiOiJORVhUIn0%3D
  • since_id string
    The ID of the billing record. When this value is provided, the query for billing records will start from the creation time (exclusive) of the specified billing record ID.
    Example: 202206161756376480011100000
  • account_type string
    The SHOPLINE Payments account type. Valid values are:
    • PendingSettlementAccount: The pending settlement account.
    • PayoutAccount: The payout account.
    • RevolvingMarginAccount: The revolving reserve account.
    • FixedMarginAccount: The fixed reserve account.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • link
    The URL link that provides the pagination data. You can obtain page_info from this parameter for subsequent pagination requests.
    This parameter is returned when the requested page has a previous or next page.
    For more information on how to use pagination, refer to Paging Mechanism.
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • transactionsobject[]
    A list of billing records from the merchant's SHOPLINE Payments account.
  • account_balance string
    Account balance. The value is rounded to two decimal places.
    Example: 1000.00
  • account_currency string
    Account currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard. Example: USD.
  • account_identify_code string
    The identification code of the SHOPLINE Payments account.
    Example: 100001
  • account_type string
    Account type. Valid values are:
    • PendingSettlementAccount: The pending settlement account.
    • PayoutAccount: The payout account.
    • RevolvingMarginAccount: The revolving reserve account.
    • FixedMarginAccount: The fixed reserve account.
  • amount string
    Settlement amount. The value is rounded to two decimal places. Negative values represent fees deducted from the merchant, and positive values represent refunds issued to the merchant.
    Example: 0.24
  • exchange_rate string
    Settlement exchange rate. exchange_rage = transaction_amount / amount. The value is rounded to 10 decimal places. This field takes a positive value.
    Example: 1.3000000000
  • id string
    The unique identifier for a billing record.
    Example: 202206161756376480011100000
  • interchange_fee string
    Interchange fee. The value is rounded to two decimal places. This field takes a negative value, referring to fees deducted from the merchant.
    Example: -0.09
  • net string
    Net amount. net = amount + interchange_fee + scheme_fee + payment_method_fee + revolving_margin_account_balance. The value is rounded to two decimal places.
    Example: 0.24
  • other_fee string
    Other fee. The value is rounded to two decimal places.
    Example: -0.51
  • payment_method_fee string
    Payment method fee. The value is rounded to two decimal places. Negative values represent fees deducted from the merchant, and positive values represent refunds issued to the merchant.
    Example: -0.06
  • payout_account_available_balance string
    Payout account available balance. The value is rounded to two decimal places.
    Example: 100.01
  • payout_account_frozen_balance string
    Payout account frozen balance. This field takes a positive value. The value is rounded to two decimal places.
    Example: 0.01
  • posting_time string
    The date and time when the SHOPLINE Payments billing record was created. Format: ISO 8601.
    Example: 2025-05-31T10:00:00+08:00
  • revolving_margin_account_balance string
    Revolving reserve amount. The value is rounded to two decimal places. Negative values represent revolving reserve deducted from the merchant, and positive values represent revolving margin refunds issued to the merchant.
    Example: 0.01
  • scheme_fee string
    Scheme fee. The value is rounded to two decimal places. This field takes a negative value, referring to fees deducted from the merchant.
    Example: -0.11
  • settlement_batch_id string
    Batch settlement ID.
  • source_order_id string
    The order ID associated with the billing record.
    Example: 30010022516695225053195427840
  • source_order_transaction_id string
    The transaction ID associated with the billing record, such as a payment or a refund order ID.
    Example: 10010022516695213198582620160
  • total_fee string
    Total fee. The value is rounded to two decimal places.
    Example: -0.76
  • transaction_amount string
    Transaction amount. The value is rounded to two decimal places.
    Example: 1.01
  • transaction_currency string
    Transaction currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard. Example: USD.
  • type string
    The type of billing records. Valid values are categorized by transaction scenarios as follows:
    • Payment
      • PAYMENT: Payment successful. Transaction funds are credited to the pending settlement account.
      • PAYMENT_FEE_RETURNED: Payment fee returned. Funds in the payout account increased.
      • SETTLEMENT: Fund settlement completed. Funds in the pending settlement account are transferred to the payout account.
    • Refund
      • REFUND: Refund successful. Funds in the payout account decreased.
      • REFUND_FEE: Refund fee deducted. Funds in the payout account decreased.
      • REFUND_FROZEN: Refund frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • REFUND_UNFROZEN: Refund unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • REFUND_FEE_FROZEN: Refund fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • REFUND_FEE_UNFROZEN: Refund fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
    • Pre-chargeback
      • PRE_CHARGEBACK_FROZEN: Pre-chargeback frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PRE_CHARGEBACK_UNFROZEN: Pre-chargeback unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PRE_CHARGEBACK_FEE_FROZEN: Pre-chargeback fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PRE_CHARGEBACK_FEE_UNFROZEN: Pre-chargeback fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PRE_CHARGEBACK_ACCEPTED: Pre-chargeback accepted. Funds in the payout account decreased.
      • PRE_CHARGEBACK_FEE: Pre-chargeback fee deducted. Funds in the payout account decreased.
    • Chargeback
      • CHARGEBACK_INITIATED: Chargeback initiated. Funds in the payout account decreased.
      • CHARGEBACK_FEE: Chargeback fee deducted. Funds in the payout account decreased.
      • CHARGEBACK_WON: Chargeback won. Funds in the payout account increased.
      • CHARGEBACK_LOST: Chargeback lost. Funds in the payout account decreased.
      • CHARGEBACK_FROZEN: Chargeback frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • CHARGEBACK_UNFROZEN: Chargeback unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • CHARGEBACK_FEE_FROZEN: Chargeback fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • CHARGEBACK_FEE_UNFROZEN: Chargeback fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • CHARGEBACK_LOST_FROZEN: Chargeback lost amount frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • CHARGEBACK_LOST_UNFROZEN: Chargeback lost amount unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • CHARGEBACK_WON_FUND_RETURN: Chargeback won fund returned. Funds in the payout account increased.
      • CHARGEBACK_LOST_FUND_RETURN: Chargeback lost fund returned. Funds in the payout account increased.
    • Pre-arbitration
      • PRE_ARBITRATION_INITIATED: Pre-arbitration initiated. Funds in the payout account decreased.
      • PRE_ARBITRATION_FEE: Pre-arbitration fee deducted. Funds in the payout account decreased.
      • PRE_ARBITRATION_INITIATED_FUND_RETURN: Pre-arbitration initiated funds returned. Funds in the payout account increased.
      • PRE_ARBITRATION_WON: Pre-arbitration won. Funds in the payout account increased.
      • PRE_ARBITRATION_WON_FUND_RETURN: Pre-arbitration won funds returned. Funds in the payout account increased.
      • PRE_ARBITRATION_LOST: Pre-arbitration lost. Funds in the payout account decreased.
      • PRE_ARBITRATION_FROZEN: Pre-arbitration amount frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PRE_ARBITRATION_UNFROZEN: Pre-arbitration amount unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PRE_ARBITRATION_FEE_FROZEN: Pre-arbitration fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PRE_ARBITRATION_FEE_UNFROZEN: Pre-arbitration fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PRE_ARBITRATION_LOST_FROZEN: Pre-arbitration lost amount frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PRE_ARBITRATION_LOST_UNFROZEN: Pre-arbitration lost amount unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PRE_ARBITRATION_LOST_FUND_RETURN: Pre-arbitration lost funds returned. Funds in the payout account increased.
    • Arbitration
      • ARBITRATION_INITIATED: Arbitration initiated. Funds in the payout account decreased.
      • ARBITRATION_FEE: Arbitration fee deducted. Funds in the payout account decreased.
      • ARBITRATION_WON: Arbitration won. Funds in the payout account increased.
      • ARBITRATION_WON_FEE_RETURNED: Arbitration won fee returned. Funds in the payout account increased.
      • ARBITRATION_LOST: Arbitration lost. Funds in the payout account decreased.
      • ARBITRATION_FROZEN: Arbitration frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • ARBITRATION_UNFROZEN: Arbitration unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • ARBITRATION_FEE_FROZEN: Arbitration fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • ARBITRATION_FEE_UNFROZEN: Arbitration fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • ARBITRATION_INITIATED_FUND_RETURN: Arbitration initiated fund returned. Funds in the payout account increased.
    • Reserve
      • FIXED_RESERVE_COLLECTED: Fixed reserve charged. Funds in the fixed reserve account increased.
      • FIXED_RESERVE_RELEASED: Fixed reserve released. Funds in the fixed reserve account released to the payout account.
      • ROLLING_RESERVE_COLLECTED: Revolving reserve charged. Funds in the revolving reserve account increased.
      • ROLLING_RESERVE_RELEASED_TO_FIXED_RESERVE: Revolving reserve released to the fixed reserve account. Funds in the fixed reserve account increased. Funds in the revolving reserve account decreased.
      • ROLLING_RESERVE_RELEASED_TO_PAYOUT_aCCOUNT: Revolving reserve released to the payout account. Funds in the payout account increased. Funds in the revolving reserve account decreased.
    • Payout
      • PAYOUT: Payout successful. Funds in the payout account decreased.
      • PAYOUT_FAILED: Payout failed. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PAYOUT_RETURNED: Payout returned. Funds in the payout account increased.
      • PAYOUT_FEE: Payout fee deducted. Funds in the payout account decreased.
      • PAYOUT_FROZEN: Payout frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PAYOUT_UNFROZEN: Payout unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
      • PAYOUT_FEE_FROZEN: Payout fee frozen. Funds in the payout account frozen. Funds in the frozen account increased.
      • PAYOUT_FEE_UNFROZEN: Payout fee unfrozen. Funds in the frozen account decreased. Funds in the payout account unfrozen.
    • Finance
      • TRANSFER: Internal fund transfer. Funds in the source account decreased. Funds in the destination account increased.
      • PLATFORM_TRANSFER: Platform fund transfer. Funds in the source account decreased. Funds in the destination account increased.
      • PLATFORM_TRANSFER_FEE: Platform transfer fee deducted. Funds in the payout account decreased.
      • ADJUSTMENT: Balance adjustment. Funds in the corresponding account increased or decreased.
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required
query
query
query
query
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/payments/store/balance_transactions.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get billing records by start_time and end_time
Response
{
"transactions": [
{
"additional_data": {
"arbitration_fee": null,
"dispute_evidence_update_deadline": null,
"is_settled": true,
"prearbitration_fee": "-128.00",
"reserve_held": "0.00",
"reserve_release_time": null,
"settle_time": "2025-12-12T00:16:21+08:00",
"statement_time": "2025-12-12T00:16:21+08:00"
},
"amount": "1.00",
"channel_deal_id": "Dt5Wp0Re5Hh0Kn9Iz1",
"create_time": "2025-12-10T11:11:24+08:00",
"credit_card": {
"auth_code": "596909",
"bin": "45146175",
"brand": "Visa",
"issuer_country": "CN",
"last4": "0066",
"type": "CREDIT"
},
"currency": "HKD",
"customer": null,
"dispute_type": "CHARGEBACK",
"exchange": {
"amount": "1.00",
"currency": "HKD",
"rate": "HKD/HKD @1.0000000000"
},
"fee": "-120.00",
"fee_type": "international",
"merchant_id": "2314180840734722048",
"paid_amount": "",
"payment_method": "CreditCard",
"payment_method_option": {
"installment": {
"count": "0"
}
},
"payment_msg": null,
"reason": "Product not received",
"seller_order_id": "21072982143469111700928725",
"stage": "PRE_ARBITRATION",
"stage_final_amount": "1.00",
"status": "LOST",
"sub_payment_method": "",
"sub_status": "",
"trade_order_id": "11012512107298226111375483810",
"transaction_type": "DISPUTE",
"update_time": "2025-12-12T00:16:22+08:00"
}
]
}
Was this article helpful to you?